public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/xmlsec/
Date: Thu,  5 May 2022 23:38:33 +0000 (UTC)	[thread overview]
Message-ID: <1651792302.e9abfa1dc97206a582cd6e6f07f284f9a1f17dd4.sam@gentoo> (raw)

commit:     e9abfa1dc97206a582cd6e6f07f284f9a1f17dd4
Author:     Sam James <sam <AT> gentoo <DOT> org>
AuthorDate: Thu May  5 23:11:42 2022 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Thu May  5 23:11:42 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e9abfa1d

dev-libs/xmlsec: add 1.2.34

Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-libs/xmlsec/Manifest             |  1 +
 dev-libs/xmlsec/xmlsec-1.2.34.ebuild | 62 ++++++++++++++++++++++++++++++++++++
 2 files changed, 63 insertions(+)

diff --git a/dev-libs/xmlsec/Manifest b/dev-libs/xmlsec/Manifest
index 6b7290a618d7..3aef88c73546 100644
--- a/dev-libs/xmlsec/Manifest
+++ b/dev-libs/xmlsec/Manifest
@@ -1 +1,2 @@
 DIST xmlsec1-1.2.33.tar.gz 1991955 BLAKE2B d6bb68ad4ceb936d51165a4ef48824a8cb5d550670ca6015eb9916121555a1a32b3f47774eab1efc2bc5031346f22a0b21115a220dbeb44bba773412f2292bc5 SHA512 6354554b5cdc0a1389f6991efeac919bea912330b36d3be3d3496d61331e9edd2771786d50d2571a439f62ccfc3bd32be0a50bb5a037c4993aac076ad94b46e8
+DIST xmlsec1-1.2.34.tar.gz 1991505 BLAKE2B e86756a07bafb9c64c38934c0b8445b8d775a339b79c6a04e2c944e481174b6b6fc72abacbd48eeb82ad66e2edf868d4ca2180b834a0b585cd8bf98384c02987 SHA512 4e3c17ab71c5ce3c76a80f2077393a5808a537d7eba861bae104c186be57f4be53499b52571913187e0a302962376bc033d7fe8ea769c6a181bf72d3f9eea1f2

diff --git a/dev-libs/xmlsec/xmlsec-1.2.34.ebuild b/dev-libs/xmlsec/xmlsec-1.2.34.ebuild
new file mode 100644
index 000000000000..b63daf1c4d35
--- /dev/null
+++ b/dev-libs/xmlsec/xmlsec-1.2.34.ebuild
@@ -0,0 +1,62 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Command line tool for signing, verifying, encrypting and decrypting XML"
+HOMEPAGE="https://www.aleksey.com/xmlsec"
+SRC_URI="https://www.aleksey.com/xmlsec/download/${PN}1-${PV}.tar.gz"
+S="${WORKDIR}/${PN}1-${PV}"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"
+IUSE="doc gcrypt gnutls nss +openssl static-libs test"
+RESTRICT="!test? ( test )"
+REQUIRED_USE="|| ( gcrypt gnutls nss openssl )
+	gnutls? ( gcrypt )"
+
+RDEPEND=">=dev-libs/libxml2-2.7.4:=
+	>=dev-libs/libxslt-1.0.20:=
+	dev-libs/libltdl
+	gcrypt? ( >=dev-libs/libgcrypt-1.4.0:0= )
+	gnutls? ( >=net-libs/gnutls-2.8.0:= )
+	nss? (
+		>=dev-libs/nspr-4.4.1:=
+		>=dev-libs/nss-3.9:=
+	)
+	openssl? (
+		dev-libs/openssl:0=
+	)"
+DEPEND="${RDEPEND}"
+BDEPEND="virtual/pkgconfig
+	test? (
+		nss? (
+			>=dev-libs/nss-3.9[utils]
+		)
+	)"
+
+src_configure() {
+	# Bash because of bug #721128
+	CONFIG_SHELL="${BROOT}"/bin/bash econf \
+		$(use_enable doc docs) \
+		$(use_enable static-libs static) \
+		$(use_with gcrypt) \
+		$(use_with gnutls) \
+		$(use_with nss nspr) \
+		$(use_with nss) \
+		$(use_with openssl) \
+		--enable-mans \
+		--enable-pkgconfig
+}
+
+src_test() {
+	# See https://github.com/lsh123/xmlsec/issues/280 for TZ=UTC
+	TZ=UTC SHELL="${BROOT}"/bin/bash emake TMPFOLDER="${T}" check
+}
+
+src_install() {
+	default
+
+	find "${ED}" -name '*.la' -delete || die
+}


             reply	other threads:[~2022-05-05 23:38 UTC|newest]

Thread overview: 147+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-05-05 23:38 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-03-27 17:56 [gentoo-commits] repo/gentoo:master commit in: dev-libs/xmlsec/ Arthur Zamarin
2025-03-25  9:48 Sam James
2025-03-25  8:22 Sam James
2025-03-25  8:22 Sam James
2025-03-25  8:22 Sam James
2025-03-25  8:22 Sam James
2025-02-24  8:52 Petr Vaněk
2025-01-20  9:49 Arthur Zamarin
2025-01-20  9:49 Arthur Zamarin
2025-01-20  9:49 Arthur Zamarin
2025-01-20  9:49 Arthur Zamarin
2025-01-20  9:49 Arthur Zamarin
2025-01-20  9:49 Arthur Zamarin
2024-12-23 15:46 Petr Vaněk
2024-12-09 21:45 Sam James
2024-11-23 16:08 Sam James
2024-11-23 15:42 Michał Górny
2024-11-23 15:42 Michał Górny
2024-11-23 10:32 Sam James
2024-10-05  8:24 Sam James
2024-10-05  7:22 Sam James
2024-09-23  8:18 Arthur Zamarin
2024-09-23  7:13 Arthur Zamarin
2024-09-23  6:02 Arthur Zamarin
2024-09-23  0:32 Sam James
2024-09-22 18:02 Arthur Zamarin
2024-05-09 23:29 Sam James
2024-05-09 23:29 Sam James
2024-05-09 23:29 Sam James
2024-01-29  8:13 Joonas Niilola
2024-01-28 20:02 Sam James
2024-01-28 15:52 Sam James
2024-01-28 15:52 Sam James
2024-01-05  6:10 Sam James
2024-01-03  8:18 Joonas Niilola
2023-12-29 22:43 Sam James
2023-12-29 21:41 Sam James
2023-12-29 18:06 Arthur Zamarin
2023-08-22 11:15 Arthur Zamarin
2023-08-22 11:15 Arthur Zamarin
2023-07-15  6:51 Sam James
2023-07-15  6:27 Joonas Niilola
2023-07-15  3:10 Sam James
2023-07-14 16:51 Arthur Zamarin
2023-07-05  1:24 Sam James
2023-06-14  4:44 Sam James
2023-06-10 15:08 Andreas Sturmlechner
2023-06-09  9:54 Sam James
2023-06-09  9:54 Sam James
2023-06-09  6:53 Arthur Zamarin
2023-06-02 16:13 Arthur Zamarin
2023-06-01 19:15 Arthur Zamarin
2023-06-01 19:15 Arthur Zamarin
2023-02-08  3:34 Sam James
2023-02-08  3:34 Sam James
2023-02-08  3:23 Sam James
2023-02-08  3:23 Sam James
2023-02-08  3:23 Sam James
2023-02-08  3:23 Sam James
2022-12-18 19:50 Arthur Zamarin
2022-12-18 12:15 Sam James
2022-12-18 11:39 Sam James
2022-12-18 11:38 Sam James
2022-12-18 11:36 Sam James
2022-11-30  7:07 Sam James
2022-10-29 15:04 Sam James
2022-08-20  5:12 Sam James
2022-04-17 19:00 Sam James
2022-02-20  5:27 Sam James
2022-02-19 12:51 Arthur Zamarin
2022-02-19 12:32 Arthur Zamarin
2022-02-19 12:02 Arthur Zamarin
2022-02-19  8:18 Arthur Zamarin
2021-11-17  3:09 Sam James
2021-10-28  7:18 Sam James
2021-07-24 23:02 Marek Szuba
2021-05-30  5:15 Sam James
2021-05-29 15:33 Sam James
2021-05-28 19:39 Agostino Sarubbo
2021-05-28 19:11 Sam James
2021-05-28 12:05 Agostino Sarubbo
2021-05-28 12:02 Agostino Sarubbo
2021-05-15 17:59 Sam James
2021-05-04 22:02 Sam James
2021-05-02 15:38 Mikle Kolyada
2021-04-16 12:32 John Helmert III
2021-02-18 20:11 Sergei Trofimovich
2021-02-11  7:45 Sergei Trofimovich
2021-02-04  7:58 Agostino Sarubbo
2021-02-03 23:55 Thomas Deutschmann
2021-01-18 16:36 Sam James
2020-12-31  2:00 Sam James
2020-12-31  2:00 Sam James
2020-09-03 23:57 Sam James
2020-09-01  0:15 Sam James
2020-08-18 15:36 Sam James
2020-08-17 10:01 Agostino Sarubbo
2020-08-17  9:57 Agostino Sarubbo
2020-08-17  9:55 Agostino Sarubbo
2020-06-17  0:48 Thomas Deutschmann
2020-06-08  6:41 Michał Górny
2020-03-19 11:40 Mart Raudsepp
2020-03-09 12:42 Agostino Sarubbo
2020-03-09 12:39 Agostino Sarubbo
2020-03-09 11:17 Agostino Sarubbo
2020-03-08 23:22 Thomas Deutschmann
2019-10-18  7:56 Lars Wendler
2019-06-04 14:36 Agostino Sarubbo
2019-05-26  7:34 Sergei Trofimovich
2019-05-26  3:48 Aaron Bauman
2019-05-18 18:35 Mikle Kolyada
2019-05-16 23:56 Thomas Deutschmann
2019-04-30  5:26 Alon Bar-Lev
2019-04-29 19:43 Sergei Trofimovich
2019-04-16 21:02 Alon Bar-Lev
2019-04-03 20:23 Alon Bar-Lev
2019-04-02  1:37 Thomas Deutschmann
2019-04-01 17:58 Alon Bar-Lev
2019-03-24 10:01 Agostino Sarubbo
2018-11-18 13:13 Alon Bar-Lev
2018-11-16 10:11 Alon Bar-Lev
2018-09-27 23:55 Alon Bar-Lev
2018-08-19  4:22 Alon Bar-Lev
2018-08-18 22:31 Sergei Trofimovich
2018-08-16  0:39 Thomas Deutschmann
2018-08-15  3:06 Mikle Kolyada
2018-06-20 18:19 Alon Bar-Lev
2018-05-25  5:18 Alon Bar-Lev
2018-05-25  3:48 Matt Turner
2018-04-25 19:27 Thomas Deutschmann
2018-04-20  1:28 Aaron Bauman
2018-04-10 19:24 Alon Bar-Lev
2018-01-16 19:11 Alon Bar-Lev
2017-10-13 16:41 Alon Bar-Lev
2017-10-13 14:31 Thomas Deutschmann
2017-10-12 18:48 Sergei Trofimovich
2017-10-11 18:23 Manuel Rüger
2017-08-27 15:34 Michael Palimaka
2017-08-12 21:55 Anthony G. Basile
2017-07-24 17:51 Markus Meier
2017-06-25 21:55 Alon Bar-Lev
2017-03-25 18:11 Alon Bar-Lev
2017-03-11 23:43 Alon Bar-Lev
2017-03-11 23:36 Michael Weber
2017-03-04 13:46 Agostino Sarubbo
2017-03-04 13:38 Agostino Sarubbo

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1651792302.e9abfa1dc97206a582cd6e6f07f284f9a1f17dd4.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox